Page MenuHomeMiraheze

Also provide HTTP status code for statistics on links
Closed, ResolvedPublic

Description

Setup

  • MediaWiki 1.31.1 (2958311) 20. Dez. 2018, 05:15
  • PHP 7.2.13-1+0~20181207100540.13+stretch~1.gbpf57305 (apache2handler)
  • MariaDB 10.1.37-MariaDB-0+deb9u1
  • RottenLinks 1.0.5 (a32046e) 4. Feb. 2019, 11:57

Issue
This is a follow up to T3817. It seems that if the HTTPS status code is unknown it will not be printed on the statistics page for links and only the number of occurences is shown. Thus it will be nice to get something like:

200 OK istead of just OK as it is now. If the status code is somehow unknow only something like 509 should be shown instead of nothing.

See the attached screen shot which made my come up with this request:

Event Timeline

Kghbln created this task.Feb 4 2019, 17:03
Kghbln edited projects, added RottenLinks; removed Configuration.Feb 4 2019, 17:04
Kghbln added a subscriber: John.
Kghbln updated the task description. (Show Details)Feb 4 2019, 17:06
Kghbln updated the task description. (Show Details)
John closed this task as Resolved.Feb 5 2019, 17:37
John claimed this task.
Kghbln added a comment.Feb 6 2019, 09:38

@John I am not sure how exactly the resolution is meant to work. After upgrading to latest master this test wiki still only shows the status description and not the status code together with the description.